import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { TooltipPosition } from '@angular/material/tooltip';
import * as i0 from "@angular/core";
export interface MatFabMenu {
    id: string | number;
    icon?: string;
    iconColor?: ThemePalette;
    imgUrl?: string;
    tooltip?: string;
    tooltipPosition?: TooltipPosition;
    color?: ThemePalette;
}
export declare type MatFabMenuDirection = 'top' | 'bottom' | 'left' | 'right';
export declare class MatFabMenuComponent implements OnInit, OnChanges {
    fabButtons: MatFabMenu[];
    icon: string;
    direction: MatFabMenuDirection;
    color: ThemePalette;
    isActive: boolean;
    disabled: boolean;
    closeAfterSelection: boolean;
    onFabMenuItemSelected: EventEmitter<string | number>;
    layout: any;
    layout2: any;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    adjustLayout(): void;
    toggle(): void;
    selectFabMenu(fab: MatFabMenu): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatFabMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatFabMenuComponent, "mat-fab-menu", never, { "fabButtons": "fabButtons"; "icon": "icon"; "direction": "direction"; "color": "color"; "isActive": "isActive"; "disabled": "disabled"; "closeAfterSelection": "closeAfterSelection"; }, { "onFabMenuItemSelected": "onFabMenuItemSelected"; }, never, never, false, never>;
}
